Bug 98691 - tab completion last name / nickname
Summary: tab completion last name / nickname
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Slackware Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-06 14:31 UTC by Dexter Filmore
Modified: 2007-09-14 12:17 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dexter Filmore 2005-02-06 14:31:47 UTC
Version:            (using KDE KDE 3.3.2)
Installed from:    Slackware Packages

KMail doesn't auto/tabcomplete when the name entered so far matches last name or nickname.
Comment 1 Dexter Filmore 2005-02-06 14:39:42 UTC
Supplement: still partly works tho: let's say I have a kontact
"Jonathan Schmoe", nickname "joe", address joe.schmoe@foo.com,
I compose new email to "joe", there won't be an auto completion dropdown and tab won't complete either, nevertheless the email will be delivered to joe.schmoe@foo.com properly. 
Comment 2 David Faure 2005-02-10 15:58:20 UTC
CVS commit by faure: 

Merge from proko2 branch: completion on last name and email address, and fix for wrong weights
when the same email comes from multiple sources: we want to MAX the weights, not to add them.
BUG: 98691
CCBUG: 86292


  M +64 -4     addresseelineedit.cpp   1.37
  M +3 -0      addresseelineedit.h   1.23



Comment 3 David Faure 2005-02-10 16:01:23 UTC
> "Jonathan Schmoe", nickname "joe", address joe.schmoe foo com,
nickname isn't used for completion - this would be yet another entry in the completion list, we
already have (after my commit)
Jonathan Schmoe <...>
"Schmoe, Jonathan" <...>
joe.schmoe@foo.com (Jonathan Schmoe)
so that the completion on "jon", "sch" and "joe" works.
The reason for this is that we can only do completion on the beginning of the string.

Comment 4 Dexter Filmore 2005-02-10 17:48:22 UTC
So what? Why not make another entry then. Or even better: alter completion system. 
Don't know how Sylpheed does it, but it works there.
Comment 5 Dexter Filmore 2006-09-11 15:15:00 UTC
I'm surprised to see this as "resolved" - it isn't, one and a half year later. I'd still like that feature. A bunch of other people probably, too.
Comment 6 Christian Schaarschmidt 2006-11-07 19:50:03 UTC
SVN commit 603074 by schaarsc:

address completion redesign
 - lookup: nickname, first/lastname, email, domain
 - disable unsupported completion modes
 - select first item in popup, pick with return

CCBUG: 98691, 76739, 77342, 109798, 107945, 82699


 M  +1 -1      branches/work/kdepim-3.5.5+/libkdepim/Makefile.am  
 M  +174 -70   branches/work/kdepim-3.5.5+/libkdepim/addresseelineedit.cpp  
 M  +21 -3     branches/work/kdepim-3.5.5+/libkdepim/addresseelineedit.h  
 A             branches/work/kdepim-3.5.5+/libkdepim/kmailcompletion.cpp   [License: LGPL (v2+)]
 A             branches/work/kdepim-3.5.5+/libkdepim/kmailcompletion.h   [License: LGPL (v2+)]
Comment 7 Christian Schaarschmidt 2006-11-25 22:56:01 UTC
SVN commit 607833 by schaarsc:

port of revsion 603074, 605966

address completion redesign
 - lookup: nickname, first/lastname, email, domain
 - disable unsupported completion modes
 - select first item in popup, pick with return

BUG: 98691, 76739, 77342, 109798, 107945, 82699


 M  +6 -1      kdelibs/kabc/scripts/addressee.src.cpp  
 M  +1 -1      kdepim/libkdepim/Makefile.am  
 M  +174 -70   kdepim/libkdepim/addresseelineedit.cpp  
 M  +21 -3     kdepim/libkdepim/addresseelineedit.h  
 A             kdepim/libkdepim/kmailcompletion.cpp   branches/work/kdepim-3.5.5+/libkdepim/kmailcompletion.cpp#603074 [License: LGPL (v2+)]
 A             kdepim/libkdepim/kmailcompletion.h   branches/work/kdepim-3.5.5+/libkdepim/kmailcompletion.h#603074 [License: LGPL (v2+)]